FW 2.0 - should I update to 3.0?

Discussion in 'Switch - Hacking & Homebrew' started by grubgrub, Jun 20, 2017.

  1. grubgrub
    OP

    grubgrub GBAtemp Regular

    Member
    125
    22
    Jun 14, 2015
    New Zealand
    Hi Eveyrone,

    I have not used my switch in a while, its still on 2.0.
    Seen the news today,
    Are people updating to 3.0 or sticking to 2.0?

    Thanks!!
     


  2. thedetire

    thedetire Member

    Newcomer
    14
    11
    Apr 20, 2012
    Netherlands
    I'll update since PegaSwitch will still work.
    If you're on 2.0.0 and don't want to play physical games then stay, otherwise update.
     
  3. SomeGamer

    SomeGamer Within Hyrule Castle

    Member
    5,729
    2,676
    Dec 19, 2014
    Hungary
    Are you sure about that? Last FW I heard it was confirmed for is 2.3.0.
     
    HitchensRIP likes this.
  4. Xplic1T

    Xplic1T GBAtemp Regular

    Member
    151
    52
    May 26, 2006
    Confirmed now on 3.0 as well but since they jumped so far in revisions ... more may have changed under the hood. (They may have gone patch heavy which is why it went to 3.0).

    PegaSwitch does work for both though so it's a matter of how they implement a jb and rolling the dice that the method works for 2.3 and 3.0.
     
    SomeGamer likes this.
  5. SomeGamer

    SomeGamer Within Hyrule Castle

    Member
    5,729
    2,676
    Dec 19, 2014
    Hungary
    Thanks! I guess I'll update then.
     
  6. Akira

    Akira I'm not a SHRIMP!!!!

    Member
    908
    310
    Apr 28, 2013
    Last edited by Akira, Jun 20, 2017
    SomeGamer likes this.
  7. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,768
    1,073
    May 31, 2013
    Belarus
    Caves
    Just because some say update to 3.0, I would not jump the gun on this.

    There maybe other flaws N patched with 2.0+ that are open with V2.00.

    Basically, if you don't give a shit about online functions, stay on 2.00 a bit longer.
     
  8. zoogie

    zoogie simple pimp tool

    Member
    6,146
    7,721
    Nov 30, 2014
    United States
  9. Xplic1T

    Xplic1T GBAtemp Regular

    Member
    151
    52
    May 26, 2006
    I'd update only if you need to. If you're playing people online ... cool, but I'd keep it on 2.3. If a golden fw comes out later it may be on a cart ;) since Arms 2.1 updates was on the cart itself.
     
  10. grubgrub
    OP

    grubgrub GBAtemp Regular

    Member
    125
    22
    Jun 14, 2015
    New Zealand
    Thanks, mario kart still works online on 2.0 so i'll stay to that for now.
     
  11. sarkwalvein

    sarkwalvein Professional asshole at GBATemp

    Member
    GBAtemp Patron
    sarkwalvein is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    4,664
    4,646
    Jun 29, 2007
    Germany
    Niedersachsen
    What did you buy your switch for?
    • Enjoy the system and play games as they were conceived? (assured): UPDATE, you will get the latest features, performance and stability improvements, and support.
    • Be able to use homebrew, cheats and/or piracy? (potential, not assured): DO NOT UPDATE EVER UNLESS SPECIFICALLY STATED.
     
    Tomato Hentai and azoreseuropa like this.
  12. azoreseuropa

    azoreseuropa GBAtemp Guru

    Member
    5,593
    788
    Nov 6, 2002
    Portugal
    Proud to be Portuguese but I am in USA.
    Simple question: You want to Jailbreak your Switch ? No ? Then update!
     
  13. danny19901

    danny19901 Advanced Member

    Newcomer
    70
    12
    Feb 12, 2016
    I went to 3.0 today there's some nice features

    Sent from my SM-G930F using Tapatalk
     
  14. ricosuave0922

    ricosuave0922 Advanced Member

    Newcomer
    52
    1
    Dec 9, 2014
    United States
    So you can't play physical games if you aren't on the current firmware? But digital purchases will still work?
     
  15. Tsubakiandou

    Tsubakiandou Advanced Member

    Newcomer
    93
    24
    Oct 15, 2016
    you can on 2.3 which is what i'm on.
     
  16. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,410
    4,731
    Mar 17, 2010
    Norway
    Alola
    Depends on the game, some newer games (IIRC ARMS does) come with 2.1 and require you to update to play.
     
    Tomato Hentai and Tsubakiandou like this.
  17. kamekaz3

    kamekaz3 Member

    Newcomer
    35
    8
    Apr 26, 2007
    United States
    For those who are curious:

    https://twitter.com/daeken/status/877244158930333696

    Which was the reply to
    "Switch update 3.0.0 fixes a known vulnerability in the NS sysmodule (originally found by @qlutoo in April):"

    Of course it's the safest to stay as low as possible but don't feel too bad if you want to update for the new features or have done so already.

    Edit: don't know how to quote twitter in a fancy matter.
     
    Last edited by kamekaz3, Jun 21, 2017
    peteruk likes this.
  18. ricosuave0922

    ricosuave0922 Advanced Member

    Newcomer
    52
    1
    Dec 9, 2014
    United States
    Ok, so my Zelda game will be fine since I'm on 3.0. Say 3.1 comes out breaking pega, I could just turn off all internet and I could still play without any problems. It's just like the 3ds where some games come with an update on the card and require that firmware. Got it. Thanks :)
     
  19. BlastedGuy9905

    BlastedGuy9905 Ace Bricker

    Member
    921
    476
    Apr 13, 2017
    United States
    Outside your windows ᕙ(◔ᗜ◔)ᕗ
    HitchensRIP likes this.
  20. HitchensRIP

    HitchensRIP Advanced Member

    Newcomer
    87
    18
    Apr 3, 2017
    Malta
    Wololo is "promoting" 3.0. update now - I think I hate myself a little less as compared to yesterday